## org.apache.batik.apps.rasterizer
Class Main.AbstractOptionHandler

    java.lang.Object
      org.apache.batik.apps.rasterizer.Main.AbstractOptionHandler

All Implemented Interfaces:
  Main.OptionHandler

Direct Known Subclasses:
  Main.NoValueOptionHandler, Main.SingleValueOptionHandler

Enclosing class:
  Main

public abstract static class Main.AbstractOptionHandler
extends java.lang.Object
implements Main.OptionHandler

This abstract implementation of the `OptionHandler` interface throws an exception if the number of arguments passed to the `handleOption` method does not match the number of expected optionValues. If the size matches, the `safeHandleOption` method is invoked. Subclasses can implement the `safeHandleOption` method assuming that the input array size is correct.

Constructor Summary
`Main.AbstractOptionHandler()`

Method Summary
`void` `handleOption(java.lang.String[] optionValues, SVGConverter c)` The `OptionHandler` should configure the `SVGConverter` according to the value of the option.
`abstract void` `safeHandleOption(java.lang.String[] optionValues, SVGConverter c)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.batik.apps.rasterizer.Main.OptionHandler
`getOptionDescription, getOptionValuesLength`

Constructor Detail

### Main.AbstractOptionHandler

    public Main.AbstractOptionHandler()

Method Detail

### handleOption

    public void handleOption(java.lang.String[] optionValues,
                             SVGConverter c)

  Description copied from interface: `Main.OptionHandler`
  The `OptionHandler` should configure the `SVGConverter` according to the value of the option. Should throw an IllegalArgumentException if optionValue is not an acceptable option.

  Specified by:
    `handleOption` in interface `Main.OptionHandler`

### safeHandleOption

    public abstract void safeHandleOption(java.lang.String[] optionValues,
                                          SVGConverter c)

Copyright © 2004 Apache Software Foundation. All Rights Reserved.